<template>
    <button @click="click()">
        <img class="icon" src="~@/assets/icons/icon-home.svg" />
    </button> 
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator";
@Component
export default class HomeButton extends Vue {
    click() {
        this.$router.push('/')
    }
}
</script>

<style scoped>
button {
    position: fixed;
    height: 60px;
    width: 60px;
    border: 1px solid #feca38;  
    background: #feca38;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
}

.icon {
    width: 35px;
    height: 35px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    margin: auto;
} 

</style>